module.exports = {
    env: {
        "browser": true,
        "es2017": true,
        "jquery": true,
    },
    extends: [
        "eslint:recommended",
    ],
    parserOptions: {
        "ecmaVersion": 8,
    },
    plugins: [
    ],
    rules: {
        "no-unused-vars":       "off",
        "consistent-return":    ["warn", { "treatUndefinedAsUnspecified": true} ],
        "consistent-this":      ["error", "self"],
        "curly":                ["warn", "multi-or-nest", "consistent"],
        "default-case":         "off",
        "default-case-last":    "error",
        "dot-notation":         "warn",
        "eqeqeq":               "warn",
        "no-invalid-this":      "warn",
        "no-plusplus":          "error",
        "no-useless-call":      "error",
        "no-var":               "error",
        "prefer-const":         "error",
        "prefer-destructuring": "warn",
        "prefer-object-spread": "error",
        "prefer-spread":        "error",
        "require-await":        "error",
        "yoda":                 "error",
    },
    globals: {
        "defineProps": "readonly",
        "defineEmits": "readonly",
        "defineExpose": "readonly",
        "withDefaults": "readonly",
    },
    "ignorePatterns": ["static/vendor", "*+*", "node_modules/**", ".eslintrc.js", "local/"]
};
